Skip to Content
EIS
API Referencev1Services

Get an Organization Service

GET
/v1/service/org/{id}/{organizationId}

Retrieve a configured service by its identifier and organization. Requires the service_view authority.

Path Parameters

id*integer

Organization service identifier.

organizationId*integer

Organization identifier.

Formatint64

Response Body

Organization service retrieved successfully.

application/json
  1. response
id?integer

Organization service identifier.

serviceList?|null
organizationId?|

Organization owning the configured service.

Formatint64
integration?|

Integration summary exposed for the service.

name?|

Organization-specific service name.

Lengthlength <= 300
forDirect?|

Whether the service is available for direct customers.

forSub?|

Whether the service is available for subpartners.

carrierType?|

Carrier-specific service classification.

Lengthlength <= 50
offsetDays?|

Service scheduling offset in days.

attributes?|

Provider-specific service attributes.

Example Request
curl -X GET 'https://api.eis.it/v1/service/org/0/0'
Example Response
{  "id": 0,  "serviceList": {    "id": 0,    "name": "string",    "serviceProvider": {      "id": 0,      "name": "string",      "description": "string"    },    "carrier": {      "id": 0,      "name": "string"    },    "type": {      "id": 0,      "name": "string"    },    "supplierProductId": "string"  },  "organizationId": 0,  "integration": {    "id": 0,    "name": "string"  },  "name": "string",  "forDirect": true,  "forSub": true,  "carrierType": "string",  "offsetDays": 0,  "attributes": {}}